Ajouter des adresses IP à la liste d'accès IP
curl --request POST \
--url https://api.devin.ai/v3/enterprise/ip-access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_ranges": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3/enterprise/ip-access-list"
payload = { "ip_ranges": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_ranges: ['<string>']})
};
fetch('https://api.devin.ai/v3/enterprise/ip-access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip_ranges": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Liste d’accès IP (Entreprise)
Ajouter des adresses IP à la liste d'accès IP
POST
/
v3
/
enterprise
/
ip-access-list
Ajouter des adresses IP à la liste d'accès IP
Cet endpoint ajoute des plages d’adresses IP à la liste d’accès IP existante sans supprimer celles qui sont déjà présentes. Pour remplacer l’intégralité de la liste, utilisez l’endpoint Remplacer la liste d’accès IP.
Nécessite un utilisateur de service disposant de l’autorisation
Autorisations
ManageIPWhitelist au niveau de l’entreprise.⌘I

